Hypetech Parceiros
Início
Hypetech Games
Início
Hypetech Games
  1. Free bet
  • Overview
  • About Hypetech API
  • Mandatory validation rules
  • Setup Webhook
  • Signature Verification
  • Error Handling
  • APIs
    • Acessing games
      • Create Session
      • Get Game List
    • Sessions
      • Session Transactions
      • Active Sessions
    • Webhook
      • Register Bet
      • Register Win
      • Balance
      • Rollback
    • Promotional
      • Free bet
        • Redeem Free Bet
          POST
  1. Free bet

Redeem Free Bet

POST
/games/free-bets
This endpoint is used to redeem a free bet for a user. Once redeemed, the free bet amount is credited to the user's account, and it can be used for betting in the specified games.

Requisição

Authorization
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
Parâmetros Header

Parâmetros Bodyapplication/json

Examples

Respostas

🟢201Success
application/json
Bodyapplication/json

🟠401Not authorized
🟠404Route not found
🔴500Internal server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://player.api.hypetech.games/games/free-bets' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "game_slug": "aviator",
    "user_id": "99e27bf0-35da-46e2-a82d-07c492d1ed25",
    "quantity": "5",
    "value": 10.0,
    "currency": "USD",
    "expires_at": "2024-12-31T23:59:59Z",
    "bonus_code": "FREEBET2024",
    "max_multiplier": 5.0
}'
Response Response Example
201 - Exemplo 1
{
    "free_bet": "string"
}
Modificado em 2026-05-04 18:50:08
Página anterior
Rollback